﻿namespace CIExample1.Specs
{
    using Machine.Specifications;

    [Subject("calculator addition")]
    public class when_adding_one_and_one
    {
        static int result;

        Establish context = () =>
            result = 0;

        Because of = () =>
            result = new Calculator().Add(1, 1);

        It should_add_to_2 = () =>
            result.ShouldEqual(2);
    }
}